WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] [closed] Upgrading to 2.5 is a disaster (17 posts)

  1. emirhan
    Member
    Posted 6 years ago #

    I have upgreded WordPress 2.5 from the old version and afterward the following message appeared, see the code below. To try and fix the problem. I reinstalled the old WordPress and

    1.) You can't get to my site if you type http://motorparasi.com. You can get to the site using this address: http://www.motorparasi.com.

    However, at the top of the web page, the following code appears:

    "Warning: array_merge() [function.array-merge]: Argument #2 is not an array in /home/verotaro/public_html/motorparasi/wp-includes/widgets.php on line 53"

    Plus, when I try to login my blog another message appears on the login page as follows:

    "Warning: array_merge() [function.array-merge]: Argument #2 is not an array in /home/verotaro/public_html/motorparasi/wp-includes/widgets.php on line 53

    Warning: Cannot modify header information - headers already sent by (output started at /home/verotaro/public_html/motorparasi/wp-includes/widgets.php:53) in /home/verotaro/public_html/motorparasi/wp-login.php on line 12

    Warning: Cannot modify header information - headers already sent by (output started at /home/verotaro/public_html/motorparasi/wp-includes/widgets.php:53) in /home/verotaro/public_html/motorparasi/wp-login.php on line 24"

    This is just a disaster for me: I can't login my blog.

    Can anyone help me with this problem?

    Any help is greatly appreciated.

    Thanks

  2. sacredpath
    Member
    Posted 6 years ago #

    Since the errors have to do with stuff in the wp-includes folder, I would delete that folder from your webhost and upload it again. Just for safe measure, I would do the same with the wp-admin folder.

    Make sure and delete the folders from your blog directory first.

  3. emirhan
    Member
    Posted 6 years ago #

    I will try to do it what you said,
    and thank you for your help.

  4. patrox
    Member
    Posted 6 years ago #

    Same here, total disaster.

    Since 2.3 wordpress upgrades have never been smooth :(

    pat.

  5. AirplaneFreak
    Member
    Posted 6 years ago #

    I'm on 2.3 - is it better to stick to that rather than 2.5, because a lot of peeps out there seem very upset, angry and frustrated that 2.5 has caused so many woes?

  6. Samuel Wood (Otto)
    Tech Ninja
    Posted 6 years ago #

    These are support forums. 99% of the people posting here have problems, by definition.

    On the contrary, this is one of the most problem free releases yet. Normally there's *way* more people complaining. :)

  7. cana
    Member
    Posted 6 years ago #

    i have upgrade my wordpress from 2.3.3 to 2.5, and it's look nice :D
    and i have no problem with it..
    i'm only copy and replace all of wp 2.3.3 file with 2.5

  8. RyuMaou
    Member
    Posted 6 years ago #

    I upgraded from 2.0.something and the only problem I had were out of date plugins, but I expected that to happen. In fact, one of the plugins was causing me to have the "headers already sent" error, so if reuploading the wp-includes directory doesn't fix the problem, you might look at your plugins.

  9. emirhan
    Member
    Posted 6 years ago #

    I deleted all the plugins which I had that did not come with WordPress and then uploaded WordPress 2.5 again.

    Nothing has changed. There is the following message on my blog:

    Warning: array_merge() [function.array-merge]: Argument #2 is not an array in /home/verotaro/public_html/motorparasi/wp-includes/widgets.php on line 60

    I don't know what to do.

  10. emirhan
    Member
    Posted 6 years ago #

    First of all thanks to everyone. I have 3 other blogs and the upgrade to WordPress 2.5 went smoothly.

    I had this problem with the last upgrades. I went into my old emails and found a support answer from my webhosting provider. They found the answer so we tried this solution to the current upgrade problem and it worked like magic.

    The solution is located here:

    http://wordpress.org/support/topic/148108

    I put the one line of code in the widgets.php file on the line number that was the problem (for me it was line 60 - the old code was
    $sidebar = array_merge($defaults, $args);

    The proper code should be:
    $sidebar = array_merge($defaults, (array)$args);

    Hope this helps someone else.

    Thanks

  11. Samuel Wood (Otto)
    Tech Ninja
    Posted 6 years ago #

    emirhan: No, that's not your problem. The real problem is in your theme, it's making a call to the register_sidebar function with incorrect parameters. I suspect that it's something like register_sidebar(2); in your theme's functions.php file, when it should really be doing register_sidebars(2);. Note the extra "s".

  12. nevinsound
    Member
    Posted 6 years ago #

    I upgraded from WP 2.3.1 (I think!) to 2.5 and I had the following problem. The blog appeared as expected, but when I tried to login as admin - a blank page appeared!

    The problem is the same as the user describes in this forum:
    http://wordpress.org/support/topic/129710

    There is an answer from another user, but I do not understand what he actually means or what the problem is - Does he mean that I should go through the installation process again as I did here: http://codex.wordpress.org/Upgrading_WordPress

    When I tried to re-install my backup, it just worked the other way around - the blog page was blank, but I could access as admin!

    I have tried to find an answer in the support fora, but nothing that really gives an answer...

    Hope you can help.

    /Nevin.

  13. Georg Kevin Paquet
    Member
    Posted 6 years ago #

    I'm so happy, the blogs I own don't have errors.
    5 of them
    but the one of my friend does causes errors >.<

  14. nevinsound
    Member
    Posted 6 years ago #

    Hi Guys,

    This is regarding my previous post on the blank page and missing access via wp-login - I am now able to access the admin via my email with the comment link and WP 2.5 works fine! But I still can't access via the wp-login. What could be the problem? Don't know what to do...

    /Nevin.

  15. Nathaniel Bluedorn
    Member
    Posted 6 years ago #

    I get a "pluggable.php on line 689" error when I try to access my wp-admin page. I've re-uploaded the 2.5 upgrade files and checked that I followed the upgrade instructions.

  16. ryanm527
    Member
    Posted 6 years ago #

    I downloaded the upgrade and copied the new files and I have the exact same problem. I've had problems on every upgrade since 2.0...ugh. i think i'm going to start ignoring the "please upgrade" messages.

  17. Samuel Wood (Otto)
    Tech Ninja
    Posted 6 years ago #

    I downloaded the upgrade and copied the new files and I have the exact same problem.

    What exact same problem, there's like 5 people posting problems in here?

    Please, people, post new threads with details about your problem and we'll try to assist you. Posting worthless stuff like this into old threads is pointless.

Topic Closed

This topic has been closed to new replies.

About this Topic